// ExecutionTrigger.uc
// Trigger fired off to start a team's execution.
class ExecutionTrigger extends Triggers;

var() float BackupGibbingTime; // Time in seconds after which to execute the backup gibbing
var() name ExecutionCameraTag; // Tag of the KeyPoint (usually an ExecutionCamera) to set player view to for execution
var() int Team; // Which team is getting executed by this trigger

var TeamInfo DyingTeam; // TeamInfo of the team being executed

// When triggered, fire off any other actors set up with the proper tag
// use in conjunction with spawners to create grenades, cowheads, rabid dogs, etc.
event Trigger(Actor Other, Pawn EventInstigator)
{
	TriggerEvent(Event, Other, EventInstigator);
	DyingTeam = TeamInfo(Other);
	SetTimer(BackupGibbingTime, false);
}

event Timer() //backup gibbing
{
	local Pawn P;

	// Don't do backup gibbing unless the game state is still waiting for the team to die.
	if (Level.Game.GetStateName() == 'Executing')
	{
		ForEach DynamicActors(class'Pawn', P)
			if (P.GetTeam() == DyingTeam)
				P.ChunkUp(9999);
		Level.Game.GotoState('ResumeAfterExecution');
	}
}

defaultproperties
{
	BackupGibbingTime=15
}