// JBHud.uc
// Draws jail releases on the radar.
class JBHUD extends TeamHUD;

simulated function DrawRadarFlags(canvas Canvas, float radarx, float radary)
{
	local float dist;
	local float pheight, iconsize, fishx, fishy;
	local vector radarf;
	local int i, team, pawns;
	local vector dir;
	local JBPlayer P;

	Super.DrawRadarFlags(Canvas, RadarX, RadarY);

	if (JBPlayer(OurPlayer) == None)
		return;

	P = JBPlayer(OurPlayer);

	// Show flags on radar too (only 2 flags)
	for(i = 0; i<P.MAX_RELEASES; i++)
	{
		if (P.JailReleases[i] != None)
		{
			// convert 3d world coords to around the player in the radar coords
			radarf = P.JailReleases[i].Location;
			dir = radarf - PawnOwner.Location;
			pheight = dir.z;
			
			CalcRadarDists(true, dir, dist);
	
			// if the flag is outside the radius, draw it at the max--special
			// for flags
			if(dist > MP_RADAR_RADIUS)
				dist = MP_RADAR_RADIUS;
			// If you're within the appropriate radius from the player, be drawn
			RadarFindFishLoc(dist, Scale, pheight, true, dir, fishx, fishy, iconsize);
			Canvas.SetPos(radarx + fishx, radary + fishy);
			Canvas.Style = ERenderStyle.STY_Normal;

			// Insert cleverly-programmed code to scale the size of the fishes based on the number
			// of teammates depending on that particular jail release to be hit
			pawns = P.ClientReleaseDependency[i];
			//iconsize = Scale + P.GetClientReleaseDependentPawns(i) / 10;
	
			if(pawns == 0) // don't care
				Canvas.DrawColor = BlueColor;
			else if (pawns == 1) // one player
				Canvas.DrawColor = YellowColor;
			else // more than one player
				Canvas.DrawColor = RedColor;
	
			// Draw the fish/flag/girl
			Canvas.DrawIcon(RadarNPC, iconsize);
	
			Canvas.Style = ERenderStyle.STY_Alpha;
			Canvas.DrawColor = WhiteColor;
		}
	}
}
