class JBSettingsCWindow extends UTTDMSettingsCWindow;

// Max Lives
var UWindowCheckBox MadCowToggle;
var UWindowEditControl MadCowHuntDuration;
var UWindowEditControl ReleaseProtDuration;
var UWindowCheckBox JailCamp;

var localized string MadCowText;
var localized string MadCowHelp;
var localized string MadCowHuntText;
var localized string MadCowHuntHelp;
var localized string ReleaseProtText;
var localized string ReleaseProtHelp;
var localized string JailCampText;
var localized string JailCampHelp;

function Created()
{
	Super.Created();

	Initialized=False;

	MadCowToggle = UWindowCheckbox(CreateControl(class'UWindowCheckbox', ControlLeft, ControlOffset, ControlWidth, ControlHeight));
	MadCowToggle.SetText(MadCowText);
	MadCowToggle.SetHelpText(MadCowHelp);
	MadCowToggle.SetFont(ControlFont);
	MadCowToggle.bChecked = Class<JailBreakGame>(BotmatchParent.GameClass).Default.bUseMadCow;
	ControlOffset += ControlHeight;

	MadCowHuntDuration = UWindowEditControl(CreateControl(class'UWindowEditControl', ControlLeft, ControlOffset, ControlWidth, ControlHeight));
	MadCowHuntDuration.SetText(MadCowHuntText);
	MadCowHuntDuration.SetHelpText(MadCowHuntHelp);
	MadCowHuntDuration.SetFont(ControlFont);
	MadCowHuntDuration.SetNumericOnly(True);
	MadCowHuntDuration.SetMaxLength(3);
	MadCowHuntDuration.SetValue(string(class<JailBreakGame>(BotmatchParent.GameClass).Default.MadCowHuntDuration));
	ControlOffset += ControlHeight;

	ReleaseProtDuration = UWindowEditControl(CreateControl(class'UWindowEditControl', ControlLeft, ControlOffset, ControlWidth, ControlHeight));
	ReleaseProtDuration.SetText(ReleaseProtText);
	ReleaseProtDuration.SetHelpText(ReleaseProtHelp);
	ReleaseProtDuration.SetFont(ControlFont);
	ReleaseProtDuration.SetNumericOnly(True);
	ReleaseProtDuration.SetMaxLength(3);
	ReleaseProtDuration.SetValue(string(class<JailBreakGame>(BotmatchParent.GameClass).Default.ReleaseProtectionDuration));
	ControlOffset += ControlHeight;

	JailCamp = UWindowCheckbox(CreateControl(class'UWindowCheckbox', ControlLeft, ControlOffset, ControlWidth, ControlHeight));
	JailCamp.SetText(JailCampText);
	JailCamp.SetHelpText(JailCampHelp);
	JailCamp.SetFont(ControlFont);
	JailCamp.bChecked = Class<JailBreakGame>(BotmatchParent.GameClass).Default.bUseMadCow;
	ControlOffset += ControlHeight;

	Initialized=True;
}

function BeforePaint(Canvas C, float X, float Y)
{
	Super.BeforePaint(C, X, Y);

	MadCowToggle.SetSize(CheckWidth, ControlHeight);
	MadCowToggle.WinLeft = ControlLeft;

	MadCowHuntDuration.SetSize(ControlWidth-EditWidth+SmallEditBoxWidth, ControlHeight);
	MadCowHuntDuration.WinLeft = ControlLeft;
	MadCowHuntDuration.EditBoxWidth = SmallEditBoxWidth;
	MadCowHuntDuration.SetTextColor(TC);

	ReleaseProtDuration.SetSize(ControlWidth-EditWidth+SmallEditBoxWidth, ControlHeight);
	ReleaseProtDuration.WinLeft = ControlLeft;
	ReleaseProtDuration.EditBoxWidth = SmallEditBoxWidth;
	ReleaseProtDuration.SetTextColor(TC);

	JailCamp.SetSize(CheckWidth, ControlHeight);
	JailCamp.WinLeft = ControlLeft;
}

function Notify(UWindowDialogControl C, byte E)
{
	if (!Initialized)
		return;

	Super.Notify(C, E);

	switch(E)
	{
	case DE_Change:
		switch (C)
		{
			case MadCowToggle:
				MadCowChanged();
				break;
			case JailCamp:
				JailCampChanged();
				break;
			case MadCowHuntDuration:
				MadCowHuntChanged();
				break;
			case ReleaseProtDuration:
				ReleaseProtChanged();
				break;
		}
		break;
	}
}

function MadCowChanged()
{
	Class<JailBreakGame>(BotmatchParent.GameClass).Default.bUseMadCow = MadCowToggle.bChecked;
}

function JailCampChanged()
{
	Class<JailBreakGame>(BotmatchParent.GameClass).Default.bJailCampMadCow = JailCamp.bChecked;
}

function MadCowHuntChanged()
{
	if(Int(MadCowHuntDuration.GetValue()) < 0)
		MadCowHuntDuration.SetValue("0");

	class<JailBreakGame>(BotmatchParent.GameClass).Default.MadCowHuntDuration = int(MadCowHuntDuration.GetValue());
}

function ReleaseProtChanged()
{
	if(Int(ReleaseProtDuration.GetValue()) < 0)
		ReleaseProtDuration.SetValue("0");

	class<JailBreakGame>(BotmatchParent.GameClass).Default.ReleaseProtectionDuration = int(ReleaseProtDuration.GetValue());
}

defaultproperties
{
	MadCowText="Use MadCow Disease"
	MadCowHelp="This makes cheaters catch MadCow disease and offers a bounty for killing them."
	MadCowHuntText="MadCow Hunt Duration"
	MadCowHuntHelp="Whenever a MadCow joins the game, a MadCow Hunt is started. This sets how long in seconds the MadCow Hunt will last."
	ReleaseProtText="Release Protection Duration"
	ReleaseProtHelp="Specifies the time in seconds that release protection should be enabled when a player exits jail. Use 0 for no release protection."
	JailCampText="Punish Jail Campers"
	JailCampHelp="If this and release protection are both enabled, jail campers who shoot protected escapees too much will catch the MadCow Disease."
}