// TeamTrigger.uc
// A trigger that can only be set off by Pawns of a certain team
class TeamTrigger extends Trigger;

var() int OurTriggeringTeam;

// Only lets members of our team trigger us.
function bool IsRelevant(actor Other)
{
	local Pawn P;
	local int TheirTeam;

	if (Pawn(Other) == None)
		return false;
	else
		P = Pawn(Other);

	if (P.PlayerReplicationInfo.Team == None)
		return false;
	else
		TheirTeam = P.PlayerReplicationInfo.Team.TeamIndex;

	if (TheirTeam != OurTriggeringTeam)
		return false;
	else
		return Super.IsRelevant(Other);		
}

function bool IsOurTeam(Pawn P)
{
	local int TheirTeam;

	if (P.PlayerReplicationInfo.Team == None)
		return false;
	else
		TheirTeam = P.PlayerReplicationInfo.Team.TeamIndex;

	return (TheirTeam == OurTriggeringTeam);
}

// Damage is irrelevant unless it was dealt by our team.
function TakeDamage(int Damage, Pawn instigatedBy, Vector hitlocation, Vector momentum, class<DamageType> damageType)
{
	if (IsOurTeam(InstigatedBy))
		Super.TakeDamage(Damage, InstigatedBy, HitLocation, Momentum, DamageType);
}